Liteloader et Chestrestock



  • Bonjour ! Cette fois, j'ai des problèmes d'installation !

    1er.Liteloader

    Alors, je veux installer liteloader sur un modpack sauf que…J'ai pas la moindre idée comment faire. Même après avoir changé les librairies et les versions, liteloader apparaît pas dans mon modpack.

    2.Chestrestock

    Alors, au début tout allez bien, Chestrestock marchait bien jusqu'a ce qu'on change de map et là, il a commencer à déconner

    Merci d'avance !


  • Administrateurs

    1. Ton modpack a été fait avec quoi ?
    2. Chestrestock semble être incompatible avec un mod qui ajoute un nouveau materiel, que bukkit ne reconnaît pas. En revanche les logs n'indique pas lequel.



  • Mon modpack à été fait…Avec ton installateur^^. Un  nouveau materiel ? Un item bugué ?


  • Administrateurs

    Non, Materiel.rock etc …

    Pour liteloader je vais regarder ça en détail que j'aurai le temps
    Mais à mon avis il faut changer la tweak class.



  • ça doit être soit smart moving soit le chat vocal IG qui doit faire buguer chestrestock


  • Administrateurs

    Je pense pas, ces deux mods n'ajoute pas de bloc, dans ce cas le plugins est surement incompatible avec Cauldron.
    Sinon je viens de regarder pour lite loader, le fichier de profile ressemble à ça :

    {
    "id": "1.7.10-LiteLoader1.7.10-1.7.10-Forge10.13.2.1232",
    "time": "2014-05-14T18:29:23+01:00",
    "releaseTime": "2014-05-14T18:29:23+01:00",
    "type": "release",
    "minecraftArguments": "–tweakClass com.mumfrey.liteloader.launch.LiteLoaderTweaker --username ${auth_player_name} --version ${version_name} --gameDir ${game_directory} --assetsDir ${assets_root} --assetIndex ${assets_index_name} --uuid ${auth_uuid} --accessToken ${auth_access_token} --userProperties ${user_properties} --userType ${user_type} --tweakClass cpw.mods.fml.common.launcher.FMLTweaker",
    "libraries": [
    {
    "name": "com.mumfrey:liteloader:1.7.10",
    "url": "http://dl.liteloader.com/versions/"
    },
    {
    "name": "net.minecraft:launchwrapper:1.11"
    },
    {
    "name": "org.ow2.asm:asm-all:5.0.3"
    },
    {
    "name": "com.google.guava:guava:16.0"
    }
    ],
    "mainClass": "net.minecraft.launchwrapper.Launch",
    "minimumLauncherVersion": 16,
    "inheritsFrom": "1.7.10-Forge10.13.2.1232",
    "jar": "1.7.10"
    }
    

    Donc normalement dans ton fichier remote_profile.json tu as juste à ajouter :

    {
    "name": "com.mumfrey:liteloader:1.7.10",
    "url": "http://dl.liteloader.com/versions/"
    },
    

    Et dans la ligne minecraftArguments, il faut mettre en plus --tweakClass com.mumfrey.liteloader.launch.LiteLoaderTweaker
    Normalement le launcher de mc téléchargera automatiquement liteloader, si ce n'est pas le cas, remplace par :

    {
    "name": "com.mumfrey:liteloader:1.7.10",
    "url": "http://dl.liteloader.com/versions/",
    "required": true"
    },
    

    ça forcera à l'installateur de le télécharger.



  • OK, merci de ton aide, j'utilise flan mod, thirdt mod, et mon mod customnet pourtant avant le changement de map tout marchait bien

    Edit: et si je réecrais le serveur en réinstallant tout, ça pourrait régler le problème ? Je pense pas mais bon, on sait jamais



  • J'up le sujet au cas où.


  • Administrateurs

    Je ne pense pas non plus mais tu peux toujours tenter.



  • Bah…Tout marchait convenablement à la base. Je peux pas savoir quel materiel le fait buguer ?


  • Administrateurs

    Je ne crois pas, en tout cas dans les logs je ne vois rien qui l'indique



  • Edit: j'ai fais un clean du serveur, rien n'y fais…Et les plugins de régéneration des coffres, y'en a que 3 dans ce monde

    EDIT: je vais être un peu plus clair sur la nature du plugin: Chesrestock me permet de "regen" des coffres pour disposer des loot aléatoire. Ces loot peuvent peuvent être configurable avec des loot table. Les loot tables custom marchent avec les ID des items moddé et c'est quand je veux appliquer une loot table custom que le plugin bug.